/******************** (C) COPYRIGHT 2005 STMicroelectronics ************************
* File Name          : Timer.h												       *
* Author             : MCD ST10 Application Team								   *
* Description        : This file provides routines prototypes and variables 	   *
*					   used in main.c and Timer.c								   *
***********************************************************************************/

/***********************************************************************************
* INCLUDES
***********************************************************************************/
#include<ST10F276.h>

/***********************************************************************************
* DECLARATIONS
***********************************************************************************/
 sbit P20 = P2^0;                                       
 sbit P21 = P2^1;                                      
 sbit DP20 = DP2^0;                                   
 sbit DP21 = DP2^1;

/***********************************************************************************
* FUNCTIONS PROTOTYPES
***********************************************************************************/
  
/***********************************************************************************
* Function Name  : Configure_GPT1_Timer_2										   *
* Description    : - Configures GPT1 Timer 2 in Timer mode, prescaler factor = 1024*
*				   - Configures GPT1 Timer 2 Interrupt							   *
* Input          : None.														   *
* Return         : None.														   *
***********************************************************************************/
       
void Configure_GPT1_Timer_2(void);

/***********************************************************************************
* Function Name  : Configure_GPT1_Timer_3										   *
* Description    : - Configures GPT1 Timer 3 in Timer mode, prescaler factor = 64  *
*				   - Configures GPT1 Timer 3 Interrupt							   *
* Input          : None.														   *
* Return         : None.														   *
***********************************************************************************/

void Configure_GPT1_Timer_3(void);


/******************* (C) COPYRIGHT 2005 STMicroelectronics *****END OF FILE********/
                                 
